System 4.0.0.0 System.Enum

Compression operations usually involve a tradeoff between the speed and the effectiveness of compression. You use the enumeration to indicate which factor is more important in your development scenario: the time to complete the compression operation or the size of the compressed file. These values do not correspond to specific compression levels; the object that implements compression determines how to handle them.

The following methods of the , , , , and classes include a parameter named compressionLevel that lets you specify the compression level:

Specifies values that indicate whether a compression operation emphasizes speed or compression size.

- Field
  4.0.0.0
  System.IO.Compression.CompressionLevel

  The compression operation should complete as quickly as possible, even if the resulting file is not optimally compressed.

- Field
  4.0.0.0
  System.IO.Compression.CompressionLevel

  No compression should be performed on the file.

- Field
  4.0.0.0
  System.IO.Compression.CompressionLevel

  The compression operation should be optimally compressed, even if the operation takes a longer time to complete.